CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Security Vulnerabilities (CVSS score between 6 and 6.99)

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
801 CVE-2021-33549 121 Exec Code Overflow 2021-09-13 2021-09-27
6.5
None Remote Low ??? Partial Partial Partial
Multiple camera devices by UDP Technology, Geutebrück and other vendors are vulnerable to a stack-based buffer overflow condition in the action parameter, which may allow an attacker to remotely execute arbitrary code.
802 CVE-2021-33548 77 Exec Code 2021-09-13 2021-09-27
6.5
None Remote Low ??? Partial Partial Partial
Multiple camera devices by UDP Technology, Geutebrück and other vendors are vulnerable to command injection, which may allow an attacker to remotely execute arbitrary code.
803 CVE-2021-33547 121 Exec Code Overflow 2021-09-13 2021-09-27
6.5
None Remote Low ??? Partial Partial Partial
Multiple camera devices by UDP Technology, Geutebrück and other vendors are vulnerable to a stack-based buffer overflow condition in the profile parameter which may allow an attacker to remotely execute arbitrary code.
804 CVE-2021-33546 121 Exec Code Overflow 2021-09-13 2021-09-27
6.5
None Remote Low ??? Partial Partial Partial
Multiple camera devices by UDP Technology, Geutebrück and other vendors are vulnerable to a stack-based buffer overflow condition in the name parameter, which may allow an attacker to remotely execute arbitrary code.
805 CVE-2021-33545 787 Exec Code Overflow 2021-09-13 2021-09-27
6.5
None Remote Low ??? Partial Partial Partial
Multiple camera devices by UDP Technology, Geutebrück and other vendors are vulnerable to a stack-based buffer overflow condition in the counter parameter which may allow an attacker to remotely execute arbitrary code.
806 CVE-2021-33544 77 Exec Code 2021-09-13 2021-09-27
6.5
None Remote Low ??? Partial Partial Partial
Multiple camera devices by UDP Technology, Geutebrück and other vendors are vulnerable to command injection, which may allow an attacker to remotely execute arbitrary code.
807 CVE-2021-33539 287 Bypass 2021-06-25 2021-07-27
6.5
None Remote Low ??? Partial Partial Partial
In Weidmueller Industrial WLAN devices in multiple versions an exploitable authentication bypass vulnerability exists in the hostname processing. A specially configured device hostname can cause the device to interpret selected remote traffic as local traffic, resulting in a bypass of web authentication. An attacker can send authenticated SNMP requests to trigger this vulnerability.
808 CVE-2021-33537 120 Exec Code Overflow 2021-06-25 2021-07-27
6.5
None Remote Low ??? Partial Partial Partial
In Weidmueller Industrial WLAN devices in multiple versions an exploitable remote code execution vulnerability exists in the iw_webs configuration parsing functionality. A specially crafted user name entry can cause an overflow of an error message buffer, resulting in remote code execution. An attacker can send commands while authenticated as a low privilege user to trigger this vulnerability.
809 CVE-2021-33535 134 Exec Code Overflow 2021-06-25 2021-07-27
6.5
None Remote Low ??? Partial Partial Partial
In Weidmueller Industrial WLAN devices in multiple versions an exploitable format string vulnerability exists in the iw_console conio_writestr functionality. A specially crafted time server entry can cause an overflow of the time server buffer, resulting in remote code execution. An attacker can send commands while authenticated as a low privilege user to trigger this vulnerability.
810 CVE-2021-33497 22 Dir. Trav. 2021-05-24 2021-05-27
6.4
None Remote Low Not required None Partial Partial
Dutchcoders transfer.sh before 1.2.4 allows Directory Traversal for deleting files.
811 CVE-2021-33481 787 Overflow 2021-11-17 2021-11-18
6.8
None Remote Medium Not required Partial Partial Partial
A stack-based buffer overflow vulnerability was discovered in gocr through 0.53-20200802 in try_to_divide_boxes() in pgm2asc.c.
812 CVE-2021-33479 787 Overflow 2021-11-17 2021-11-18
6.8
None Remote Medium Not required Partial Partial Partial
A stack-based buffer overflow vulnerability was discovered in gocr through 0.53-20200802 in measure_pitch() in pgm2asc.c.
813 CVE-2021-33477 755 Exec Code 2021-05-20 2021-08-02
6.5
None Remote Low ??? Partial Partial Partial
rxvt-unicode 9.22, rxvt 2.7.10, mrxvt 0.5.4, and Eterm 0.9.7 allow (potentially remote) code execution because of improper handling of certain escape sequences (ESC G Q). A response is terminated by a newline.
814 CVE-2021-33362 787 DoS Exec Code Overflow 2021-09-13 2021-09-23
6.8
None Remote Medium Not required Partial Partial Partial
Stack buffer overflow in the hevc_parse_vps_extension function in MP4Box in GPAC 1.0.1 allows attackers to cause a denial of service or execute arbitrary code via a crafted file.
815 CVE-2021-33335 269 2021-08-03 2021-08-11
6.5
None Remote Low ??? Partial Partial Partial
Privilege escalation vulnerability in Liferay Portal 7.0.3 through 7.3.4, and Liferay DXP 7.1 before fix pack 20, and 7.2 before fix pack 9 allows remote authenticated users with permission to update/edit users to take over a company administrator user account by editing the company administrator user.
816 CVE-2021-33333 276 2021-08-03 2021-08-11
6.5
None Remote Low ??? Partial Partial Partial
The Portal Workflow module in Liferay Portal 7.3.2 and earlier, and Liferay DXP 7.0 before fix pack 93, 7.1 before fix pack 19 and 7.2 before fix pack 6, does not properly check user permission, which allows remote authenticated users to view and delete workflow submissions via crafted URLs.
817 CVE-2021-33289 787 Exec Code Overflow 2021-09-07 2021-11-29
6.9
None Local Medium Not required Complete Complete Complete
In NTFS-3G versions < 2021.8.22, when a specially crafted MFT section is supplied in an NTFS image a heap buffer overflow can occur and allow for code execution.
818 CVE-2021-33287 787 DoS Overflow 2021-09-07 2021-11-29
6.9
None Local Medium Not required Complete Complete Complete
In NTFS-3G versions < 2021.8.22, when specially crafted NTFS attributes are read in the function ntfs_attr_pread_i, a heap buffer overflow can occur and allow for writing to arbitrary memory or denial of service of the application.
819 CVE-2021-33286 787 Exec Code Overflow 2021-09-07 2021-11-29
6.9
None Local Medium Not required Complete Complete Complete
In NTFS-3G versions < 2021.8.22, when a specially crafted unicode string is supplied in an NTFS image a heap buffer overflow can occur and allow for code execution.
820 CVE-2021-33285 125 DoS Overflow 2021-09-07 2021-11-29
6.9
None Local Medium Not required Complete Complete Complete
In NTFS-3G versions < 2021.8.22, when a specially crafted NTFS attribute is supplied to the function ntfs_get_attribute_value, a heap buffer overflow can occur allowing for memory disclosure or denial of service. The vulnerability is caused by an out-of-bound buffer access which can be triggered by mounting a crafted ntfs partition. The root cause is a missing consistency check after reading an MFT record : the "bytes_in_use" field should be less than the "bytes_allocated" field. When it is not, the parsing of the records proceeds into the wild.
821 CVE-2021-33214 276 2021-07-09 2021-09-21
6.0
None Remote Medium ??? Partial Partial Partial
In HMS Ewon eCatcher through 6.6.4, weak filesystem permissions could allow malicious users to access files that could lead to sensitive information disclosure, modification of configuration files, or disruption of normal system operation.
822 CVE-2021-33205 269 +Priv 2021-06-11 2021-06-21
6.5
None Remote Low ??? Partial Partial Partial
Western Digital EdgeRover before 0.25 has an escalation of privileges vulnerability where a low privileged user could load malicious content into directories with higher privileges, because of how Node.js is used. An attacker can gain admin privileges and carry out malicious activities such as creating a fake library and stealing user credentials.
823 CVE-2021-33181 918 2021-06-01 2021-06-10
6.5
None Remote Low ??? Partial Partial Partial
Server-Side Request Forgery (SSRF) vulnerability in webapi component in Synology Video Station before 2.4.10-1632 allows remote authenticated users to send arbitrary request to intranet resources via unspecified vectors.
824 CVE-2021-33177 89 Sql 2021-10-14 2021-10-20
6.5
None Remote Low ??? Partial Partial Partial
The Bulk Modifications functionality in Nagios XI versions prior to 5.8.5 is vulnerable to SQL injection. Exploitation requires the malicious actor to be authenticated to the vulnerable system, but once authenticated they would be able to execute arbitrary sql queries.
825 CVE-2021-33097 367 2021-11-17 2021-11-22
6.0
None Remote Medium ??? Partial Partial Partial
Time-of-check time-of-use vulnerability in the Crypto API Toolkit for Intel(R) SGX may allow a privileged user to potentially enable escalation of privilege via network access.
826 CVE-2021-33035 120 Exec Code Overflow 2021-09-23 2021-12-01
6.8
None Remote Medium Not required Partial Partial Partial
Apache OpenOffice opens dBase/DBF documents and shows the contents as spreadsheets. DBF are database files with data organized in fields. When reading DBF data the size of certain fields is not checked: the data is just copied into local variables. A carefully crafted document could overflow the allocated space, leading to the execution of arbitrary code by altering the contents of the program stack. This issue affects Apache OpenOffice up to and including version 4.1.10
827 CVE-2021-33019 787 Exec Code Overflow 2021-08-30 2021-09-16
6.8
None Remote Medium Not required Partial Partial Partial
A stack-based buffer overflow vulnerability in Delta Electronics DOPSoft Version 4.00.11 and prior may be exploited by processing a specially crafted project file, which may allow an attacker to execute arbitrary code.
828 CVE-2021-33015 824 Exec Code 2021-08-25 2021-09-01
6.8
None Remote Medium Not required Partial Partial Partial
Cscape (All Versions prior to 9.90 SP5) lacks proper validation of user-supplied data when parsing project files. This could lead to an out-of-bounds write via an uninitialized pointer. An attacker could leverage this vulnerability to execute code in the context of the current process.
829 CVE-2021-33007 122 Exec Code Overflow 2021-08-30 2021-09-03
6.8
None Remote Medium Not required Partial Partial Partial
A heap-based buffer overflow in Delta Electronics TPEditor: v1.98.06 and prior may be exploited by processing a specially crafted project file. Successful exploitation of this vulnerability may allow an attacker to execute arbitrary code.
830 CVE-2021-33004 119 Exec Code Overflow Mem. Corr. 2021-06-24 2021-07-01
6.8
None Remote Medium Not required Partial Partial Partial
The affected product is vulnerable to memory corruption condition due to lack of proper validation of user supplied files, which may allow an attacker to execute arbitrary code. User interaction is required on the WebAccess HMI Designer (versions 2.1.9.95 and prior).
831 CVE-2021-33002 787 Exec Code 2021-06-24 2021-07-01
6.8
None Remote Medium Not required Partial Partial Partial
Opening a maliciously crafted project file may cause an out-of-bounds write, which may allow an attacker to execute arbitrary code. User interaction is require on the WebAccess HMI Designer (versions 2.1.9.95 and prior).
832 CVE-2021-33000 787 Exec Code Overflow 2021-06-24 2021-07-01
6.8
None Remote Medium Not required Partial Partial Partial
Parsing a maliciously crafted project file may cause a heap-based buffer overflow, which may allow an attacker to perform arbitrary code execution. User interaction is required on the WebAccess HMI Designer (versions 2.1.9.95 and prior).
833 CVE-2021-32995 20 Exec Code 2021-08-25 2021-09-01
6.8
None Remote Medium Not required Partial Partial Partial
Cscape (All Versions prior to 9.90 SP5) lacks proper validation of user-supplied data when parsing project files. This could lead to an out-of-bounds write. An attacker could leverage this vulnerability to execute code in the context of the current process.
834 CVE-2021-32975 125 Exec Code 2021-08-25 2021-08-30
6.8
None Remote Medium Not required Partial Partial Partial
Cscape (All Versions prior to 9.90 SP5) lacks proper validation of user-supplied data when parsing project files. This could lead to an out-of-bounds read. An attacker could leverage this vulnerability to execute code in the context of the current process.
835 CVE-2021-32954 23 Dir. Trav. 2021-06-18 2021-06-24
6.8
None Remote Low ??? Complete None None
Advantech WebAccess/SCADA Versions 9.0.1 and prior is vulnerable to a directory traversal, which may allow an attacker to remotely read arbitrary files on the file system.
836 CVE-2021-32952 787 Exec Code 2021-06-17 2021-09-21
6.8
None Remote Medium Not required Partial Partial Partial
An out-of-bounds write issue exists in the DGN file-reading procedure in the Drawings SDK (Version 2022.4 and prior) resulting from the lack of proper validation of user-supplied data. This can result in a write past the end of an allocated buffer and allow attackers to cause a denial-of-service condition or execute code in the context of the current process.
837 CVE-2021-32948 787 Exec Code 2021-06-17 2021-09-21
6.8
None Remote Medium Not required Partial Partial Partial
An out-of-bounds write issue exists in the DWG file-reading procedure in the Drawings SDK (All versions prior to 2022.4) resulting from the lack of proper validation of user-supplied data. This can result in a write past the end of an allocated buffer and allow attackers to cause a denial-of-service condition or execute code in the context of the current process.
838 CVE-2021-32947 121 Exec Code Overflow 2021-08-11 2021-09-21
6.8
None Remote Medium Not required Partial Partial Partial
FATEK Automation FvDesigner, Versions 1.5.88 and prior is vulnerable to a stack-based buffer overflow, which may allow an attacker to execute arbitrary code.
839 CVE-2021-32946 754 Exec Code 2021-06-17 2021-09-21
6.8
None Remote Medium Not required Partial Partial Partial
An improper check for unusual or exceptional conditions issue exists within the parsing DGN files from Drawings SDK (Version 2022.4 and prior) resulting from the lack of proper validation of the user-supplied data. This may result in several of out-of-bounds problems and allow attackers to cause a denial-of-service condition or execute code in the context of the current process.
840 CVE-2021-32944 416 Exec Code Mem. Corr. 2021-06-17 2021-09-21
6.8
None Remote Medium Not required Partial Partial Partial
A use-after-free issue exists in the DGN file-reading procedure in the Drawings SDK (All versions prior to 2022.4) resulting from the lack of proper validation of user-supplied data. This can result in a memory corruption or arbitrary code execution, allowing attackers to cause a denial-of-service condition or execute code in the context of the current process.
841 CVE-2021-32939 787 Exec Code 2021-08-11 2021-09-21
6.8
None Remote Medium Not required Partial Partial Partial
FATEK Automation FvDesigner, Versions 1.5.88 and prior is vulnerable to an out-of-bounds write while processing project files, allowing an attacker to craft a project file that may permit arbitrary code execution.
842 CVE-2021-32936 787 Exec Code 2021-06-17 2021-09-21
6.8
None Remote Medium Not required Partial Partial Partial
An out-of-bounds write issue exists in the DXF file-recovering procedure in the Drawings SDK (All versions prior to 2022.4) resulting from the lack of proper validation of user-supplied data. This can result in a write past the end of an allocated buffer and allow attackers to cause a denial-of-service condition or execute code in the context of the current process.
843 CVE-2021-32931 824 Exec Code 2021-08-11 2021-09-21
6.8
None Remote Medium Not required Partial Partial Partial
An uninitialized pointer in FATEK Automation FvDesigner, Versions 1.5.88 and prior may be exploited while the application is processing project files, allowing an attacker to craft a special project file that may permit arbitrary code execution.
844 CVE-2021-32925 200 +Info 2021-05-13 2021-09-08
6.4
None Remote Low Not required Partial None Partial
admin/user_import.php in Chamilo 1.11.x reads XML data without disabling the ability to load external entities.
845 CVE-2021-32924 94 2021-06-01 2021-06-16
6.0
None Remote Medium ??? Partial Partial Partial
Invision Community (aka IPS Community Suite) before 4.6.0 allows eval-based PHP code injection by a moderator because the IPS\cms\modules\front\pages\_builder::previewBlock method interacts unsafely with the IPS\_Theme::runProcessFunction method.
846 CVE-2021-32836 94 DoS Exec Code 2021-09-09 2021-09-17
6.8
None Remote Medium Not required Partial Partial Partial
ZStack is open source IaaS(infrastructure as a service) software. In ZStack before versions 3.10.12 and 4.1.6 there is a pre-auth unsafe deserialization vulnerability in the REST API. An attacker in control of the request body will be able to provide both the class name and the data to be deserialized and therefore will be able to instantiate an arbitrary type and assign arbitrary values to its fields. This issue may lead to a Denial Of Service. If a suitable gadget is available, then an attacker may also be able to exploit this vulnerability to gain pre-auth remote code execution. For additional details see the referenced GHSL-2021-087.
847 CVE-2021-32835 693 Exec Code 2021-09-09 2021-09-16
6.5
None Remote Low ??? Partial Partial Partial
Eclipse Keti is a service that was designed to protect RESTfuls API using Attribute Based Access Control (ABAC). In Keti a sandbox escape vulnerability may lead to post-authentication Remote Code execution. This vulnerability is known to exist in the latest commit at the time of writing this CVE (commit a1c8dbe). For more details see the referenced GHSL-2021-063.
848 CVE-2021-32834 94 2021-09-09 2021-09-16
6.5
None Remote Low ??? Partial Partial Partial
Eclipse Keti is a service that was designed to protect RESTfuls API using Attribute Based Access Control (ABAC). In Keti a user able to create Policy Sets can run arbitrary code by sending malicious Groovy scripts which will escape the configured Groovy sandbox. This vulnerability is known to exist in the latest commit at the time of writing this CVE (commit a1c8dbe). For more details see the referenced GHSL-2021-063.
849 CVE-2021-32831 94 Exec Code 2021-08-30 2021-09-07
6.5
None Remote Low ??? Partial Partial Partial
Total.js framework (npm package total.js) is a framework for Node.js platfrom written in pure JavaScript similar to PHP's Laravel or Python's Django or ASP.NET MVC. In total.js framework before version 3.4.9, calling the utils.set function with user-controlled values leads to code-injection. This can cause a variety of impacts that include arbitrary code execution. This is fixed in version 3.4.9.
850 CVE-2021-32830 77 Exec Code 2021-08-17 2021-08-25
6.8
None Remote Medium Not required Partial Partial Partial
The @diez/generation npm package is a client for Diez. The locateFont method of @diez/generation has a command injection vulnerability. Clients of the @diez/generation library are unlikely to be aware of this, so they might unwittingly write code that contains a vulnerability. This issue may lead to remote code execution if a client of the library calls the vulnerable method with untrusted input. All versions of this package are vulnerable as of the writing of this CVE.
Total number of vulnerabilities : 23854   Page : 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 (This Page)18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.